Bug 480911 - Unable to remove some packages using the PK GUI
Unable to remove some packages using the PK GUI
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 05:23 EST by Michael Monreal
Modified: 2009-11-18 16:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 16:10:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Monreal 2009-01-21 05:23:10 EST
I'm unable to remove some packages using PK's GNOME interface. For example rhythmbox is clearly installed but the PK GUI shows it as being not installed, so I cannot uninstall it... Same for some other packages IIRC.
Comment 1 Richard Hughes 2009-01-21 07:02:40 EST
Is there an update for rhythmbox available? If you turn off the "Newest" filter, can you see multiple versions?
Comment 2 Michael Monreal 2009-01-21 08:49:54 EST
You are right again... The default only shows the latest version, regardless of if there is any older version already installed. This (and showing multiple versions of the same package) doesn't feel right to me...

IMHO gpk-application's primary aim should be installing new packages or remove ones that are no longer needed (it's listed as "Add/Remove software" in the menu after all). For updating packages, we have the gpk-update-icon/viewer. As it currently works, gpk-application also seems to be more update-oriented.
Comment 3 Steven M. Parrish 2009-09-07 21:45:32 EDT
Richard, any comments?  Is this an issue?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Richard Hughes 2009-09-11 12:46:43 EDT
(In reply to comment #3)
> Richard, any comments?  Is this an issue?

F10 PK is very old now, and I'm pretty sure it's using the old NEWEST filtering logic. I would be pretty wary of updating the version in F10 now.
Comment 5 Bug Zapper 2009-11-18 05:48:51 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Steven M. Parrish 2009-11-18 16:10:34 EST
Based on Richard's last comments and the fact that F10 is nearing EOL going to close this as WONTFIX.  IF you find this issue is still present in later releases please reopen and update the release information.

Note You need to log in before you can comment on or make changes to this bug.